class ExpenseStatusModel {
  final String id;
  final String name;
  final String description;
  final bool isSystem;
  final bool isActive;

  ExpenseStatusModel({
    required this.id,
    required this.name,
    required this.description,
    required this.isSystem,
    required this.isActive,
  });

  factory ExpenseStatusModel.fromJson(Map<String, dynamic> json) {
    return ExpenseStatusModel(
      id: json['id'],
      name: json['name'],
      description: json['description'] ?? '',
      isSystem: json['isSystem'] ?? false,
      isActive: json['isActive'] ?? false,
    );
  }
}
